package com.ym.mec.thirdparty.adapay.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(hf_merchant_config):
 */
public class HfMerchantConfig {

	/**  */
	private Integer id;
	
	private String appId;
	
	/**  */
	private String merKey;
	
	/**  */
	private String apiKey;
	
	/**  */
	private String mockApiKey;
	
	/**  */
	private String rsaPrivateKey;
	
	/**  */
	private String rsaPublicKey;
	
	/**  */
	private String expendParams;
	
	private String wxAppId;
	
	private String wxAppSecret;
	
	private String platformPayeeMemberId;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	/**  */
	private Integer tenantId;
	
	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public String getAppId() {
		return appId;
	}

	public void setAppId(String appId) {
		this.appId = appId;
	}

	public void setMerKey(String merKey){
		this.merKey = merKey;
	}
	
	public String getMerKey(){
		return this.merKey;
	}
			
	public void setApiKey(String apiKey){
		this.apiKey = apiKey;
	}
	
	public String getApiKey(){
		return this.apiKey;
	}
			
	public void setMockApiKey(String mockApiKey){
		this.mockApiKey = mockApiKey;
	}
	
	public String getMockApiKey(){
		return this.mockApiKey;
	}
			
	public void setRsaPrivateKey(String rsaPrivateKey){
		this.rsaPrivateKey = rsaPrivateKey;
	}
	
	public String getRsaPrivateKey(){
		return this.rsaPrivateKey;
	}
			
	public void setRsaPublicKey(String rsaPublicKey){
		this.rsaPublicKey = rsaPublicKey;
	}
	
	public String getRsaPublicKey(){
		return this.rsaPublicKey;
	}
			
	public void setExpendParams(String expendParams){
		this.expendParams = expendParams;
	}
	
	public String getExpendParams(){
		return this.expendParams;
	}
			
	public String getWxAppId() {
		return wxAppId;
	}

	public void setWxAppId(String wxAppId) {
		this.wxAppId = wxAppId;
	}

	public String getWxAppSecret() {
		return wxAppSecret;
	}

	public void setWxAppSecret(String wxAppSecret) {
		this.wxAppSecret = wxAppSecret;
	}

	public String getPlatformPayeeMemberId() {
		return platformPayeeMemberId;
	}

	public void setPlatformPayeeMemberId(String platformPayeeMemberId) {
		this.platformPayeeMemberId = platformPayeeMemberId;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setTenantId(Integer tenantId){
		this.tenantId = tenantId;
	}
	
	public Integer getTenantId(){
		return this.tenantId;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
